#ifndef AUTOTESTS_WINDOWS_STUB_WINDOWMANAGER_H
#define AUTOTESTS_WINDOWS_STUB_WINDOWMANAGER_H

#include <QRect>
#include <QWindow>

namespace kdk {

class WindowManager
{
public:
    static void setSkipTaskBar(QWindow *, bool)
    {
    }

    static void setSkipSwitcher(QWindow *, bool)
    {
    }

    static void setGeometry(QWindow *window, const QRect &geometry)
    {
        if (window) {
            window->setGeometry(geometry);
        }
    }
};

} // namespace kdk

#endif
